---
apiVersion: v1
kind: Secret
metadata:
    name: doppler-secret
    namespace: kube-system
stringData:
    token: {{.FLUX_DOPPLER_TOKEN}}
---
apiVersion: v1
kind: Namespace
metadata:
  name: flux-system
---
apiVersion: v1
kind: Secret
metadata:
  name: gitlab-deploy-key
  namespace: flux-system
data:
  identity: |
    {{.FLUX_GITLAB_DEPLOY_KEY}}
  identity.pub: |
    {{.FLUX_GITLAB_PUBLIC_KEYS}}
  known_hosts: |
    {{.FLUX_GITLAB_KNOWN_HOSTS}}
---
apiVersion: v1
kind: Secret
metadata:
  name: sops-age
  namespace: flux-system
stringData:
  age.agekey: {{.FLUX_AGE_PRIVATE_KEY}}